window.Gleam.initSearch([{"doc":"cake","title":"cake","content":"# Cake SQL Query Builder for Gleam\n\nAn SQL query builder for Gleam for SQL dialects PostgreSQL, SQLite, MariaDB and MySQL\n\n[![Package\n&lt;a href=&quot;https://github.com/inoas/gleam-cake/releases&quot;&gt;&lt;img src=&quot;https://img.shields.io/github/release/inoas/gleam-cake&quot; alt=&quot;GitHub release&quot;&gt;&lt;/a&gt;\n&lt;a href=&quot;https://discord.gg/Fm8Pwmy&quot;&gt;&lt;img src=&quot;https://img.shields.io/discord/768594524158427167?color=blue&quot; alt=&quot;Discord chat&quot;&gt;&lt;/a&gt;\n![CI](https://github.com/inoas/gleam-cake/workflows/test/badge.svg?branch=main)\nVersion](https://img.shields.io/hexpm/v/cake)](https://hex.pm/packages/cake)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/cake/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-b83998)\n![JavaScript Compatible](https://img.shields.io/badge/target-javascript-f3e155)\n\n```shell\ngleam add cake\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/cake&gt;.\n\n## Examples\n\nSee cake&#39;s [tests](https://github.com/inoas/gleam-cake/tree/main/test/cake_test).\n\n## Development\n\nHelper commands:\n\n```shell\nbin/run-watchexec\n\nbin/test\nbin/glacier\n\nbin/birdie/interactive-review\nbin/birdie/accept-all\nbin/birdie/reject-all\n```\n","url":"index.html"},{"doc":"cake","title":"main","content":"pub fn main() -&gt; Nil\n As a library *Cake* cannot be invoked directly in a meaningful way.\n\nSynonyms:\ncake.main\ncake main","url":"cake.html#main"},{"doc":"cake","title":"cake","content":" *Cake* is an SQL query building library for RDBMS:\n\n - PostgreSQL\n - Sqlite\n - MariaDB / MySQL\n\n For examples see the tests.\n","url":"cake.html"},{"doc":"cake/dialect","title":"Dialect","content":"pub type Dialect {\n  Postgres\n  Sqlite\n  Maria\n}\n Cake supports Postgres, Sqlite, and MariaDB/MySQL,\n\n A few features are not supported by all dialects.\n\nPostgres\n\n\nSqlite\n\n\nMaria\n\n\nSynonyms:\ncake/dialect.Dialect\ncake/dialect Dialect","url":"cake/dialect.html#Dialect"},{"doc":"cake/dialect","title":"cake/dialect","content":" Supported Database Dialects\n","url":"cake/dialect.html"},{"doc":"cake/helper","title":"qualified_identifier","content":"pub fn qualified_identifier(\n  scope scp: String,\n) -&gt; fn(String) -&gt; String\n Returns a callable that creates a qualified identifier\n\nSynonyms:\ncake/helper.qualified_identifier\ncake/helper qualified_identifier","url":"cake/helper.html#qualified_identifier"},{"doc":"cake/helper","title":"cake/helper","content":" Helper functions\n","url":"cake/helper.html"},{"doc":"cake/param","title":"Param","content":"pub type Param {\n  BoolParam(Bool)\n  FloatParam(Float)\n  IntParam(Int)\n  StringParam(String)\n  NullParam\n}\n\nBoolParam(Bool)\n\n\nFloatParam(Float)\n\n\nIntParam(Int)\n\n\nStringParam(String)\n\n\nNullParam\n\n\nSynonyms:\ncake/param.Param\ncake/param Param","url":"cake/param.html#Param"},{"doc":"cake/param","title":"bool","content":"pub fn bool(value: Bool) -&gt; Param\n\nSynonyms:\ncake/param.bool\ncake/param bool","url":"cake/param.html#bool"},{"doc":"cake/param","title":"float","content":"pub fn float(value: Float) -&gt; Param\n\nSynonyms:\ncake/param.float\ncake/param float","url":"cake/param.html#float"},{"doc":"cake/param","title":"int","content":"pub fn int(value: Int) -&gt; Param\n\nSynonyms:\ncake/param.int\ncake/param int","url":"cake/param.html#int"},{"doc":"cake/param","title":"string","content":"pub fn string(value: String) -&gt; Param\n\nSynonyms:\ncake/param.string\ncake/param string","url":"cake/param.html#string"},{"doc":"cake/param","title":"cake/param","content":" A `Param` is a value that can be used in a query.\n\n Params (e.g. parameters) are wrapped (boxed) literal values, that can be\n used in SQL queries.\n","url":"cake/param.html"},{"doc":"cake/query/combined","title":"Direction","content":"pub type Direction {\n  Asc\n  Desc\n}\n Defines the direction of an `OrderBy`.\n\nAsc\n\n\nDesc\n\n\nSynonyms:\ncake/query/combined.Direction\ncake/query/combined Direction","url":"cake/query/combined.html#Direction"},{"doc":"cake/query/combined","title":"comment","content":"pub fn comment(\n  query qry: Combined,\n  comment cmmnt: String,\n) -&gt; Combined\n Appends a `Comment` to the `Combined` query.\n\nSynonyms:\ncake/query/combined.comment\ncake/query/combined comment","url":"cake/query/combined.html#comment"},{"doc":"cake/query/combined","title":"epilog","content":"pub fn epilog(\n  query qry: Combined,\n  epilog eplg: String,\n) -&gt; Combined\n Appends an `Epilog` to the `Combined` query.\n\nSynonyms:\ncake/query/combined.epilog\ncake/query/combined epilog","url":"cake/query/combined.html#epilog"},{"doc":"cake/query/combined","title":"except","content":"pub fn except(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates an `EXCEPT` query out of two queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.except\ncake/query/combined except","url":"cake/query/combined.html#except"},{"doc":"cake/query/combined","title":"except_all","content":"pub fn except_all(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates an `EXCEPT ALL` query out of two queries as a `Combined` query.\n\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/combined.except_all\ncake/query/combined except_all","url":"cake/query/combined.html#except_all"},{"doc":"cake/query/combined","title":"except_all_many","content":"pub fn except_all_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates an `EXCEPT ALL` query out of two or more queries as a `Combined`\n query.\n\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/combined.except_all_many\ncake/query/combined except_all_many","url":"cake/query/combined.html#except_all_many"},{"doc":"cake/query/combined","title":"except_many","content":"pub fn except_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates an `EXCEPT` query out of two or more queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.except_many\ncake/query/combined except_many","url":"cake/query/combined.html#except_many"},{"doc":"cake/query/combined","title":"get_comment","content":"pub fn get_comment(query qry: Combined) -&gt; Comment\n Gets the `Comment` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.get_comment\ncake/query/combined get_comment","url":"cake/query/combined.html#get_comment"},{"doc":"cake/query/combined","title":"get_epilog","content":"pub fn get_epilog(query qry: Combined) -&gt; Epilog\n Gets the `Epilog` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.get_epilog\ncake/query/combined get_epilog","url":"cake/query/combined.html#get_epilog"},{"doc":"cake/query/combined","title":"get_limit","content":"pub fn get_limit(query qry: Combined) -&gt; Limit\n Gets `Limit` in the `Combined` query.\n\nSynonyms:\ncake/query/combined.get_limit\ncake/query/combined get_limit","url":"cake/query/combined.html#get_limit"},{"doc":"cake/query/combined","title":"get_offset","content":"pub fn get_offset(query qry: Combined) -&gt; Offset\n Gets `Offset` in the `Combined` query.\n\nSynonyms:\ncake/query/combined.get_offset\ncake/query/combined get_offset","url":"cake/query/combined.html#get_offset"},{"doc":"cake/query/combined","title":"get_order_by","content":"pub fn get_order_by(query qry: Combined) -&gt; OrderBy\n Gets the `OrderBy` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.get_order_by\ncake/query/combined get_order_by","url":"cake/query/combined.html#get_order_by"},{"doc":"cake/query/combined","title":"get_queries","content":"pub fn get_queries(combined_query qry: Combined) -&gt; List(Select)\n Gets the queries from a `Combined` query.\n\nSynonyms:\ncake/query/combined.get_queries\ncake/query/combined get_queries","url":"cake/query/combined.html#get_queries"},{"doc":"cake/query/combined","title":"intersect","content":"pub fn intersect(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates an `INTERSECT` query out of two queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.intersect\ncake/query/combined intersect","url":"cake/query/combined.html#intersect"},{"doc":"cake/query/combined","title":"intersect_all","content":"pub fn intersect_all(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates an `INTERSECT ALL` query out of two queries as a `Combined` query.\n\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/combined.intersect_all\ncake/query/combined intersect_all","url":"cake/query/combined.html#intersect_all"},{"doc":"cake/query/combined","title":"intersect_all_many","content":"pub fn intersect_all_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates an `INTERSECT ALL` query out of two or more queries as a `Combined`\n query.\n\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/combined.intersect_all_many\ncake/query/combined intersect_all_many","url":"cake/query/combined.html#intersect_all_many"},{"doc":"cake/query/combined","title":"intersect_many","content":"pub fn intersect_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates an `INTERSECT` query out of two or more queries as a `Combined`\n query.\n\nSynonyms:\ncake/query/combined.intersect_many\ncake/query/combined intersect_many","url":"cake/query/combined.html#intersect_many"},{"doc":"cake/query/combined","title":"limit","content":"pub fn limit(query qry: Combined, limit lmt: Int) -&gt; Combined\n Sets a `Limit` in the `Combined` query.\n\nSynonyms:\ncake/query/combined.limit\ncake/query/combined limit","url":"cake/query/combined.html#limit"},{"doc":"cake/query/combined","title":"no_comment","content":"pub fn no_comment(query qry: Combined) -&gt; Combined\n Removes the `Comment` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.no_comment\ncake/query/combined no_comment","url":"cake/query/combined.html#no_comment"},{"doc":"cake/query/combined","title":"no_epilog","content":"pub fn no_epilog(query qry: Combined) -&gt; Combined\n Removes the `Epilog` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.no_epilog\ncake/query/combined no_epilog","url":"cake/query/combined.html#no_epilog"},{"doc":"cake/query/combined","title":"no_limit","content":"pub fn no_limit(query qry: Combined) -&gt; Combined\n Removes `Limit` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.no_limit\ncake/query/combined no_limit","url":"cake/query/combined.html#no_limit"},{"doc":"cake/query/combined","title":"no_offset","content":"pub fn no_offset(query qry: Combined) -&gt; Combined\n Removes `Offset` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.no_offset\ncake/query/combined no_offset","url":"cake/query/combined.html#no_offset"},{"doc":"cake/query/combined","title":"no_order_by","content":"pub fn no_order_by(query qry: Combined) -&gt; Combined\n Removes the `OrderBy` from the `Combined` query.\n\nSynonyms:\ncake/query/combined.no_order_by\ncake/query/combined no_order_by","url":"cake/query/combined.html#no_order_by"},{"doc":"cake/query/combined","title":"offset","content":"pub fn offset(query qry: Combined, offst offst: Int) -&gt; Combined\n Sets an `Offset` in the `Combined` query.\n\nSynonyms:\ncake/query/combined.offset\ncake/query/combined offset","url":"cake/query/combined.html#offset"},{"doc":"cake/query/combined","title":"order_by","content":"pub fn order_by(\n  query qry: Combined,\n  by ordb: String,\n  direction dir: Direction,\n) -&gt; Combined\n Creates or appends an `OrderBy` a column with a direction.\n\n The direction can either `ASC` or `DESC`.\n\nSynonyms:\ncake/query/combined.order_by\ncake/query/combined order_by","url":"cake/query/combined.html#order_by"},{"doc":"cake/query/combined","title":"order_by_asc","content":"pub fn order_by_asc(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends an ascending `OrderBy`.\n\nSynonyms:\ncake/query/combined.order_by_asc\ncake/query/combined order_by_asc","url":"cake/query/combined.html#order_by_asc"},{"doc":"cake/query/combined","title":"order_by_asc_nulls_first","content":"pub fn order_by_asc_nulls_first(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends an ascending `OrderBy` with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/combined.order_by_asc_nulls_first\ncake/query/combined order_by_asc_nulls_first","url":"cake/query/combined.html#order_by_asc_nulls_first"},{"doc":"cake/query/combined","title":"order_by_asc_nulls_last","content":"pub fn order_by_asc_nulls_last(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends an ascending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/combined.order_by_asc_nulls_last\ncake/query/combined order_by_asc_nulls_last","url":"cake/query/combined.html#order_by_asc_nulls_last"},{"doc":"cake/query/combined","title":"order_by_desc","content":"pub fn order_by_desc(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends a descending `OrderBy`.\n\nSynonyms:\ncake/query/combined.order_by_desc\ncake/query/combined order_by_desc","url":"cake/query/combined.html#order_by_desc"},{"doc":"cake/query/combined","title":"order_by_desc_nulls_first","content":"pub fn order_by_desc_nulls_first(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends a descending order with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/combined.order_by_desc_nulls_first\ncake/query/combined order_by_desc_nulls_first","url":"cake/query/combined.html#order_by_desc_nulls_first"},{"doc":"cake/query/combined","title":"order_by_desc_nulls_last","content":"pub fn order_by_desc_nulls_last(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Creates or appends a descending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/combined.order_by_desc_nulls_last\ncake/query/combined order_by_desc_nulls_last","url":"cake/query/combined.html#order_by_desc_nulls_last"},{"doc":"cake/query/combined","title":"replace_order_by","content":"pub fn replace_order_by(\n  query qry: Combined,\n  by ordb: String,\n  direction dir: Direction,\n) -&gt; Combined\n Replaces the `OrderBy` a column with a direction.\n\nSynonyms:\ncake/query/combined.replace_order_by\ncake/query/combined replace_order_by","url":"cake/query/combined.html#replace_order_by"},{"doc":"cake/query/combined","title":"replace_order_by_asc","content":"pub fn replace_order_by_asc(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single ascending `OrderBy`.\n\nSynonyms:\ncake/query/combined.replace_order_by_asc\ncake/query/combined replace_order_by_asc","url":"cake/query/combined.html#replace_order_by_asc"},{"doc":"cake/query/combined","title":"replace_order_by_asc_nulls_first","content":"pub fn replace_order_by_asc_nulls_first(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single ascending `OrderBy` with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/combined.replace_order_by_asc_nulls_first\ncake/query/combined replace_order_by_asc_nulls_first","url":"cake/query/combined.html#replace_order_by_asc_nulls_first"},{"doc":"cake/query/combined","title":"replace_order_by_asc_nulls_last","content":"pub fn replace_order_by_asc_nulls_last(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single ascending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/combined.replace_order_by_asc_nulls_last\ncake/query/combined replace_order_by_asc_nulls_last","url":"cake/query/combined.html#replace_order_by_asc_nulls_last"},{"doc":"cake/query/combined","title":"replace_order_by_desc","content":"pub fn replace_order_by_desc(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single descending order.\n\nSynonyms:\ncake/query/combined.replace_order_by_desc\ncake/query/combined replace_order_by_desc","url":"cake/query/combined.html#replace_order_by_desc"},{"doc":"cake/query/combined","title":"replace_order_by_desc_nulls_first","content":"pub fn replace_order_by_desc_nulls_first(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single descending order with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/combined.replace_order_by_desc_nulls_first\ncake/query/combined replace_order_by_desc_nulls_first","url":"cake/query/combined.html#replace_order_by_desc_nulls_first"},{"doc":"cake/query/combined","title":"replace_order_by_desc_nulls_last","content":"pub fn replace_order_by_desc_nulls_last(\n  query qry: Combined,\n  by ordb: String,\n) -&gt; Combined\n Replaces the `OrderBy` a single descending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/combined.replace_order_by_desc_nulls_last\ncake/query/combined replace_order_by_desc_nulls_last","url":"cake/query/combined.html#replace_order_by_desc_nulls_last"},{"doc":"cake/query/combined","title":"to_query","content":"pub fn to_query(combined_query qry: Combined) -&gt; Query\n Creates a `Query` from a `Combined` query.\n\nSynonyms:\ncake/query/combined.to_query\ncake/query/combined to_query","url":"cake/query/combined.html#to_query"},{"doc":"cake/query/combined","title":"union","content":"pub fn union(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates a `UNION` query out of two queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.union\ncake/query/combined union","url":"cake/query/combined.html#union"},{"doc":"cake/query/combined","title":"union_all","content":"pub fn union_all(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n) -&gt; Combined\n Creates a `UNION ALL` query out of two queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.union_all\ncake/query/combined union_all","url":"cake/query/combined.html#union_all"},{"doc":"cake/query/combined","title":"union_all_many","content":"pub fn union_all_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates a `UNION ALL` query out of two or more queries as a `Combined`\n query.\n\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/combined.union_all_many\ncake/query/combined union_all_many","url":"cake/query/combined.html#union_all_many"},{"doc":"cake/query/combined","title":"union_many","content":"pub fn union_many(\n  query_a qry_a: Select,\n  query_b qry_b: Select,\n  more_queries mr_qrys: List(Select),\n) -&gt; Combined\n Creates a `UNION` query out of two or more queries as a `Combined` query.\n\nSynonyms:\ncake/query/combined.union_many\ncake/query/combined union_many","url":"cake/query/combined.html#union_many"},{"doc":"cake/query/combined","title":"cake/query/combined","content":" A DSL to build combined queries, such as:\n\n - `UNION`\n - `UNION ALL`\n - `EXCEPT`\n - `EXCEPT ALL`\n - `INTERSECT`\n - `INTERSECT ALL`\n\n ## Compatibility\n\n - SQLite does not support `EXCEPT ALL` and `INTERSECT ALL`.\n","url":"cake/query/combined.html"},{"doc":"cake/query/delete","title":"comment","content":"pub fn comment(\n  query qry: Delete(a),\n  comment cmmnt: String,\n) -&gt; Delete(a)\n Specify a comment for the `Delete` query.\n\nSynonyms:\ncake/query/delete.comment\ncake/query/delete comment","url":"cake/query/delete.html#comment"},{"doc":"cake/query/delete","title":"epilog","content":"pub fn epilog(\n  query qry: Delete(a),\n  epilog eplg: String,\n) -&gt; Delete(a)\n Specify an epilog for the `Delete` query.\n\nSynonyms:\ncake/query/delete.epilog\ncake/query/delete epilog","url":"cake/query/delete.html#epilog"},{"doc":"cake/query/delete","title":"get_comment","content":"pub fn get_comment(query qry: Delete(a)) -&gt; Comment\n Get the comment from an `Delete` query.\n\nSynonyms:\ncake/query/delete.get_comment\ncake/query/delete get_comment","url":"cake/query/delete.html#get_comment"},{"doc":"cake/query/delete","title":"get_epilog","content":"pub fn get_epilog(query qry: Delete(a)) -&gt; Epilog\n Get the epilog from an `Delete` query.\n\nSynonyms:\ncake/query/delete.get_epilog\ncake/query/delete get_epilog","url":"cake/query/delete.html#get_epilog"},{"doc":"cake/query/delete","title":"get_modifier","content":"pub fn get_modifier(query qry: Delete(a)) -&gt; String\n Gets the `DELETE` modifier.\n\nSynonyms:\ncake/query/delete.get_modifier\ncake/query/delete get_modifier","url":"cake/query/delete.html#get_modifier"},{"doc":"cake/query/delete","title":"get_table","content":"pub fn get_table(query qry: Delete(a)) -&gt; String\n Gets the table name of the `Delete` query.\n\nSynonyms:\ncake/query/delete.get_table\ncake/query/delete get_table","url":"cake/query/delete.html#get_table"},{"doc":"cake/query/delete","title":"get_using","content":"pub fn get_using(query qry: Delete(a)) -&gt; List(From)\n Gets the `USING` clause of the `Delete` query.\n\nSynonyms:\ncake/query/delete.get_using\ncake/query/delete get_using","url":"cake/query/delete.html#get_using"},{"doc":"cake/query/delete","title":"get_where","content":"pub fn get_where(query qry: Delete(a)) -&gt; Where\n Gets the `Where` of the `Delete` query.\n\nSynonyms:\ncake/query/delete.get_where\ncake/query/delete get_where","url":"cake/query/delete.html#get_where"},{"doc":"cake/query/delete","title":"modifier","content":"pub fn modifier(\n  query qry: Delete(a),\n  modifier mdfr: String,\n) -&gt; Delete(a)\n Sets the `DELETE` modifier.\n\nSynonyms:\ncake/query/delete.modifier\ncake/query/delete modifier","url":"cake/query/delete.html#modifier"},{"doc":"cake/query/delete","title":"new","content":"pub fn new(table_name tbl_nm: String) -&gt; Delete(a)\n Creates an empty `Delete` query.\n\nSynonyms:\ncake/query/delete.new\ncake/query/delete new","url":"cake/query/delete.html#new"},{"doc":"cake/query/delete","title":"no_comment","content":"pub fn no_comment(query qry: Delete(a)) -&gt; Delete(a)\n Specify that no comment should be added to the `Delete` query.\n\nSynonyms:\ncake/query/delete.no_comment\ncake/query/delete no_comment","url":"cake/query/delete.html#no_comment"},{"doc":"cake/query/delete","title":"no_epilog","content":"pub fn no_epilog(query qry: Delete(a)) -&gt; Delete(a)\n Specify that no epilog should be added to the `Delete` query.\n\nSynonyms:\ncake/query/delete.no_epilog\ncake/query/delete no_epilog","url":"cake/query/delete.html#no_epilog"},{"doc":"cake/query/delete","title":"no_modifier","content":"pub fn no_modifier(query qry: Delete(a)) -&gt; Delete(a)\n Removes the `DELETE` modifier.\n\nSynonyms:\ncake/query/delete.no_modifier\ncake/query/delete no_modifier","url":"cake/query/delete.html#no_modifier"},{"doc":"cake/query/delete","title":"no_returning","content":"pub fn no_returning(query qry: Delete(a)) -&gt; Delete(a)\n Specify that no columns should be returned after the `Delete` query.\n\nSynonyms:\ncake/query/delete.no_returning\ncake/query/delete no_returning","url":"cake/query/delete.html#no_returning"},{"doc":"cake/query/delete","title":"no_using","content":"pub fn no_using(query qry: Delete(a)) -&gt; Delete(a)\n Removes the `USING` clause from the `Delete` query.\n\nSynonyms:\ncake/query/delete.no_using\ncake/query/delete no_using","url":"cake/query/delete.html#no_using"},{"doc":"cake/query/delete","title":"no_where","content":"pub fn no_where(query qry: Delete(a)) -&gt; Delete(a)\n Removes the `Where` from the `Delete` query.\n\nSynonyms:\ncake/query/delete.no_where\ncake/query/delete no_where","url":"cake/query/delete.html#no_where"},{"doc":"cake/query/delete","title":"or_where","content":"pub fn or_where(\n  query qry: Delete(a),\n  where whr: Where,\n) -&gt; Delete(a)\n Sets an `OrWhere` or appends into an existing `OrWhere`.\n\n - If the outermost `Where` is an `OrWhere`, the new `Where` is appended\n   to the list within `OrWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `OrWhere`.\n\nSynonyms:\ncake/query/delete.or_where\ncake/query/delete or_where","url":"cake/query/delete.html#or_where"},{"doc":"cake/query/delete","title":"replace_using_sub_query","content":"pub fn replace_using_sub_query(\n  query qry: Delete(a),\n  sub_query sb_qry: Query,\n  alias als: String,\n) -&gt; Delete(a)\n Replaces the `USING` clause of the `Delete` query with a sub-query.\n\nSynonyms:\ncake/query/delete.replace_using_sub_query\ncake/query/delete replace_using_sub_query","url":"cake/query/delete.html#replace_using_sub_query"},{"doc":"cake/query/delete","title":"replace_using_table","content":"pub fn replace_using_table(\n  query qry: Delete(a),\n  table tbl: String,\n) -&gt; Delete(a)\n Replaces the `USING` clause of the `Delete` query with a table.\n\nSynonyms:\ncake/query/delete.replace_using_table\ncake/query/delete replace_using_table","url":"cake/query/delete.html#replace_using_table"},{"doc":"cake/query/delete","title":"replace_where","content":"pub fn replace_where(\n  query qry: Delete(a),\n  where whr: Where,\n) -&gt; Delete(a)\n Replaces the `Where` in the `Delete` query.\n\nSynonyms:\ncake/query/delete.replace_where\ncake/query/delete replace_where","url":"cake/query/delete.html#replace_where"},{"doc":"cake/query/delete","title":"returning","content":"pub fn returning(\n  query qry: Delete(a),\n  returning rtrn: List(String),\n) -&gt; Delete(a)\n Specify the columns to return after the `Delete` query.\n\nSynonyms:\ncake/query/delete.returning\ncake/query/delete returning","url":"cake/query/delete.html#returning"},{"doc":"cake/query/delete","title":"table","content":"pub fn table(\n  query qry: Delete(a),\n  table_name tbl_nm: String,\n) -&gt; Delete(a)\n Sets the table name of the `Delete` query, aka the table where\n the rows will be deleted from.\n\nSynonyms:\ncake/query/delete.table\ncake/query/delete table","url":"cake/query/delete.html#table"},{"doc":"cake/query/delete","title":"to_query","content":"pub fn to_query(delete dlt: Delete(a)) -&gt; WriteQuery(a)\n Creates a `WriteQuery` from a `Delete` query.\n\nSynonyms:\ncake/query/delete.to_query\ncake/query/delete to_query","url":"cake/query/delete.html#to_query"},{"doc":"cake/query/delete","title":"using_sub_query","content":"pub fn using_sub_query(\n  query qry: Delete(a),\n  sub_query sb_qry: Query,\n  alias als: String,\n) -&gt; Delete(a)\n Adds a `USING` clause to the `Delete` query specifing a sub-query.\n\n The sub-query must be aliased.\n\n If the query already has a `USING` clause, the new `USING` clause\n will be appended to the existing one.\n\n The `USING` clause is used to specify additional tables that are used\n to filter the rows to be deleted.\n\nSynonyms:\ncake/query/delete.using_sub_query\ncake/query/delete using_sub_query","url":"cake/query/delete.html#using_sub_query"},{"doc":"cake/query/delete","title":"using_table","content":"pub fn using_table(\n  query qry: Delete(a),\n  table tbl: String,\n) -&gt; Delete(a)\n Adds a `USING` clause to the `Delete` query specifing a table.\n\n If the query already has a `USING` clause, the new `USING` clause\n will be appended to the existing one.\n\n The `USING` clause is used to specify additional tables that are used\n to filter the rows to be deleted.\n\nSynonyms:\ncake/query/delete.using_table\ncake/query/delete using_table","url":"cake/query/delete.html#using_table"},{"doc":"cake/query/delete","title":"where","content":"pub fn where(query qry: Delete(a), where whr: Where) -&gt; Delete(a)\n Sets an `AndWhere` or appends into an existing `AndWhere`.\n\n - If the outermost `Where` is an `AndWhere`, the new `Where` is appended\n   to the list within `AndWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `AndWhere`.\n\nSynonyms:\ncake/query/delete.where\ncake/query/delete where","url":"cake/query/delete.html#where"},{"doc":"cake/query/delete","title":"xor_where","content":"pub fn xor_where(\n  query qry: Delete(a),\n  where whr: Where,\n) -&gt; Delete(a)\n Sets an `XorWhere` or appends into an existing `XorWhere`.\n\n - If the outermost `Where` is an `XorWhere`, the new `Where` is appended\n   to the list within `XorWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `XorWhere`.\n\n NOTICE: This operator does not exist in Postgres or Sqlite,\n         and *Cake* generates equivalent SQL using `OR` and `AND` and `NOT`.\n         This operator exists in MariaDB/MySQL.\n\nSynonyms:\ncake/query/delete.xor_where\ncake/query/delete xor_where","url":"cake/query/delete.html#xor_where"},{"doc":"cake/query/delete","title":"cake/query/delete","content":" A DSL to build `DELETE` queries.\n","url":"cake/query/delete.html"},{"doc":"cake/query/fragment","title":"placeholder","content":"pub const placeholder: String\n This placeholder must be used when building fragments with parameters.\n\nSynonyms:\ncake/query/fragment.placeholder\ncake/query/fragment placeholder","url":"cake/query/fragment.html#placeholder"},{"doc":"cake/query/fragment","title":"literal","content":"pub fn literal(string str: String) -&gt; Fragment\n Create a new fragment from a literal string.\n\n ⛔ ⛔ ⛔\n\n WARNING: YOU ARE FORBIDDEN TO INSERT USER INPUT THIS WAY!\n\n ⛔ ⛔ ⛔\n\nSynonyms:\ncake/query/fragment.literal\ncake/query/fragment literal","url":"cake/query/fragment.html#literal"},{"doc":"cake/query/fragment","title":"prepared","content":"pub fn prepared(\n  string str: String,\n  params prms: List(Param),\n) -&gt; Fragment\n Create a new fragment from a string and a list of parameters.\n\n ⛔ ⛔ ⛔\n\n If you missmatch the number of placeholders with the number of\n parameters, an error will be printed to the console and the fragment will be\n created with the given parameters.\n\n If there are too many placeholders, the fragment will be created with the\n given parameters and the last parameter will be repeated for the remaining\n placeholders.\n\n If there are too many parameters, the fragment will be created with the\n given parameters and the remaining parameters will be ignored.\n\n ⛔ ⛔ ⛔\n\nSynonyms:\ncake/query/fragment.prepared\ncake/query/fragment prepared","url":"cake/query/fragment.html#prepared"},{"doc":"cake/query/fragment","title":"cake/query/fragment","content":" Fragments are low level building blocks of queries which allow direct\n manipulation of the query string.\n\n If you want to insert parameters, you are required to use prepared\n fragments, which will be validated against the number of parameters given\n and the parameters are automatically escaped by the RDBMS to prevent SQL\n injections.\n","url":"cake/query/fragment.html"},{"doc":"cake/query/having","title":"cake/query/having","content":" Please use the `where` module instead of this module to specify `HAVING`\n constraints.\n\n `HAVING` and `WHERE` are similar in so far that they both filter data:\n\n - `WHERE` filters input rows before groups and aggregates are computed, and\n   by that controls which rows go into the aggregate computation.\n - `HAVING` filters group rows after groups and aggregates are computed.\n\n Becaue of this difference, `WHERE` can refer to columns that are not part\n of the `GROUP BY` clause, while `HAVING` cannot.\n\n ## Notice\n\n This module is a placeholder until rexporting functions is supported by\n Gleam.\n","url":"cake/query/having.html"},{"doc":"cake/query/insert","title":"bool","content":"pub fn bool(value vl: Bool) -&gt; Param\n Create an `InsertValue` from a column `String` and a `Bool` value.\n\nSynonyms:\ncake/query/insert.bool\ncake/query/insert bool","url":"cake/query/insert.html#bool"},{"doc":"cake/query/insert","title":"columns","content":"pub fn columns(\n  query qry: Insert(a),\n  columns cols: List(String),\n) -&gt; Insert(a)\n Specify the columns to insert into.\n\n NOTICE: You have to specify the columns and keep track if their names are\n         correct, as well as their count which must be equal to the count of\n         `InsertRows` the caster function returns or is given as source\n          values.\n\nSynonyms:\ncake/query/insert.columns\ncake/query/insert columns","url":"cake/query/insert.html#columns"},{"doc":"cake/query/insert","title":"comment","content":"pub fn comment(\n  query qry: Insert(a),\n  comment cmmnt: String,\n) -&gt; Insert(a)\n Specify a comment for the `INSERT` query.\n\nSynonyms:\ncake/query/insert.comment\ncake/query/insert comment","url":"cake/query/insert.html#comment"},{"doc":"cake/query/insert","title":"epilog","content":"pub fn epilog(\n  query qry: Insert(a),\n  epilog eplg: String,\n) -&gt; Insert(a)\n Specify an epilog for the `INSERT` query.\n\nSynonyms:\ncake/query/insert.epilog\ncake/query/insert epilog","url":"cake/query/insert.html#epilog"},{"doc":"cake/query/insert","title":"float","content":"pub fn float(value vl: Float) -&gt; Param\n Create an `InsertValue` from a column `String` and a `Float` value.\n\nSynonyms:\ncake/query/insert.float\ncake/query/insert float","url":"cake/query/insert.html#float"},{"doc":"cake/query/insert","title":"from_records","content":"pub fn from_records(\n  table_name tbl_nm: String,\n  columns cols: List(String),\n  records rcrds: List(a),\n  caster cstr: fn(a) -&gt; InsertRow,\n) -&gt; Insert(a)\n Create an `INSERT` query from a list of gleam records.\n\n The `caster` function is used to convert each record into an `InsertRow`.\n\nSynonyms:\ncake/query/insert.from_records\ncake/query/insert from_records","url":"cake/query/insert.html#from_records"},{"doc":"cake/query/insert","title":"from_values","content":"pub fn from_values(\n  table_name tbl_nm: String,\n  columns cols: List(String),\n  records rcrds: List(InsertRow),\n) -&gt; Insert(a)\n Create an `INSERT` query from a list of `InsertRow`s.\n\nSynonyms:\ncake/query/insert.from_values\ncake/query/insert from_values","url":"cake/query/insert.html#from_values"},{"doc":"cake/query/insert","title":"get_comment","content":"pub fn get_comment(query qry: Insert(a)) -&gt; Comment\n Get the comment from an `INSERT` query.\n\nSynonyms:\ncake/query/insert.get_comment\ncake/query/insert get_comment","url":"cake/query/insert.html#get_comment"},{"doc":"cake/query/insert","title":"get_epilog","content":"pub fn get_epilog(query qry: Insert(a)) -&gt; Epilog\n Get the epilog from an `INSERT` query.\n\nSynonyms:\ncake/query/insert.get_epilog\ncake/query/insert get_epilog","url":"cake/query/insert.html#get_epilog"},{"doc":"cake/query/insert","title":"get_modifier","content":"pub fn get_modifier(query qry: Insert(a)) -&gt; String\n Get the modifier from an `Insert` query.\n\nSynonyms:\ncake/query/insert.get_modifier\ncake/query/insert get_modifier","url":"cake/query/insert.html#get_modifier"},{"doc":"cake/query/insert","title":"get_source","content":"pub fn get_source(query qry: Insert(a)) -&gt; InsertSource(a)\n Get the source from an `Insert` query which is either a list of records,\n accompanied by a caster function or a list of `InsertRow`s.\n\nSynonyms:\ncake/query/insert.get_source\ncake/query/insert get_source","url":"cake/query/insert.html#get_source"},{"doc":"cake/query/insert","title":"get_table","content":"pub fn get_table(query qry: Insert(a)) -&gt; String\n Get the table name to insert into from an `Insert` query.\n\nSynonyms:\ncake/query/insert.get_table\ncake/query/insert get_table","url":"cake/query/insert.html#get_table"},{"doc":"cake/query/insert","title":"int","content":"pub fn int(value vl: Int) -&gt; Param\n Create an `InsertValue` from a column `String` and an `Int` value.\n\nSynonyms:\ncake/query/insert.int\ncake/query/insert int","url":"cake/query/insert.html#int"},{"doc":"cake/query/insert","title":"modifier","content":"pub fn modifier(\n  query qry: Insert(a),\n  modifier mdfr: String,\n) -&gt; Insert(a)\n Specify a modifier for the `INSERT` query.\n\nSynonyms:\ncake/query/insert.modifier\ncake/query/insert modifier","url":"cake/query/insert.html#modifier"},{"doc":"cake/query/insert","title":"no_comment","content":"pub fn no_comment(query qry: Insert(a)) -&gt; Insert(a)\n Specify that no comment should be added to the `INSERT` query.\n\nSynonyms:\ncake/query/insert.no_comment\ncake/query/insert no_comment","url":"cake/query/insert.html#no_comment"},{"doc":"cake/query/insert","title":"no_epilog","content":"pub fn no_epilog(query qry: Insert(a)) -&gt; Insert(a)\n Specify that no epilog should be added to the `INSERT` query.\n\nSynonyms:\ncake/query/insert.no_epilog\ncake/query/insert no_epilog","url":"cake/query/insert.html#no_epilog"},{"doc":"cake/query/insert","title":"no_modifier","content":"pub fn no_modifier(query qry: Insert(a)) -&gt; Insert(a)\n Specify that no modifier should be used for the given `INSERT` query.\n\nSynonyms:\ncake/query/insert.no_modifier\ncake/query/insert no_modifier","url":"cake/query/insert.html#no_modifier"},{"doc":"cake/query/insert","title":"no_returning","content":"pub fn no_returning(query qry: Insert(a)) -&gt; Insert(a)\n Specify that no columns should be returned after the `INSERT` query.\n\nSynonyms:\ncake/query/insert.no_returning\ncake/query/insert no_returning","url":"cake/query/insert.html#no_returning"},{"doc":"cake/query/insert","title":"on_columns_conflict_ignore","content":"pub fn on_columns_conflict_ignore(\n  query qry: Insert(a),\n  column cols: List(String),\n  where whr: Where,\n) -&gt; Insert(a)\n This specifies that specific conflicts do not result in an error but instead\n are just ignored and not inserted.\n\n Conflict Target: Columns\n\nSynonyms:\ncake/query/insert.on_columns_conflict_ignore\ncake/query/insert on_columns_conflict_ignore","url":"cake/query/insert.html#on_columns_conflict_ignore"},{"doc":"cake/query/insert","title":"on_columns_conflict_update","content":"pub fn on_columns_conflict_update(\n  query qry: Insert(a),\n  column cols: List(String),\n  where whr: Where,\n  update updt: Update(a),\n) -&gt; Insert(a)\n Inserts or updates on conflict, also called ´.UPSERT´.\n\n Conflict Target: Columns\n\nSynonyms:\ncake/query/insert.on_columns_conflict_update\ncake/query/insert on_columns_conflict_update","url":"cake/query/insert.html#on_columns_conflict_update"},{"doc":"cake/query/insert","title":"on_conflict_error","content":"pub fn on_conflict_error(query qry: Insert(a)) -&gt; Insert(a)\n This specifies that any conflicts result in the query to fail\n\n This is the default behaviour.\n\nSynonyms:\ncake/query/insert.on_conflict_error\ncake/query/insert on_conflict_error","url":"cake/query/insert.html#on_conflict_error"},{"doc":"cake/query/insert","title":"on_constraint_conflict_ignore","content":"pub fn on_constraint_conflict_ignore(\n  query qry: Insert(a),\n  constraint cnstrt: String,\n  where whr: Where,\n) -&gt; Insert(a)\n This specifies that specific conflicts do not result in an error but instead\n are just ignored and not inserted.\n\n Conflict Target: Constraint\n\nSynonyms:\ncake/query/insert.on_constraint_conflict_ignore\ncake/query/insert on_constraint_conflict_ignore","url":"cake/query/insert.html#on_constraint_conflict_ignore"},{"doc":"cake/query/insert","title":"on_constraint_conflict_update","content":"pub fn on_constraint_conflict_update(\n  query qry: Insert(a),\n  constraint cnstrt: String,\n  where whr: Where,\n  update updt: Update(a),\n) -&gt; Insert(a)\n Inserts or updates on conflict, also called ´.UPSERT´.\n\n Conflict Target: Constraint\n\nSynonyms:\ncake/query/insert.on_constraint_conflict_update\ncake/query/insert on_constraint_conflict_update","url":"cake/query/insert.html#on_constraint_conflict_update"},{"doc":"cake/query/insert","title":"param","content":"pub fn param(column col: String, param prm: Param) -&gt; InsertValue\n Create an `InsertValue` from a column `String` and a `Param`.\nSynonyms:\ncake/query/insert.param\ncake/query/insert param","url":"cake/query/insert.html#param"},{"doc":"cake/query/insert","title":"returning","content":"pub fn returning(\n  query qry: Insert(a),\n  returning rtrn: List(String),\n) -&gt; Insert(a)\n Specify the columns to return after the `INSERT` query.\n\nSynonyms:\ncake/query/insert.returning\ncake/query/insert returning","url":"cake/query/insert.html#returning"},{"doc":"cake/query/insert","title":"row","content":"pub fn row(values vls: List(InsertValue)) -&gt; InsertRow\n Create an `InsertRow` from a list of `InsertValue`s.\n\nSynonyms:\ncake/query/insert.row\ncake/query/insert row","url":"cake/query/insert.html#row"},{"doc":"cake/query/insert","title":"source_records","content":"pub fn source_records(\n  query qry: Insert(a),\n  source rcrds: List(a),\n  caster cstr: fn(a) -&gt; InsertRow,\n) -&gt; Insert(a)\n Specify the source records to insert.\n\nSynonyms:\ncake/query/insert.source_records\ncake/query/insert source_records","url":"cake/query/insert.html#source_records"},{"doc":"cake/query/insert","title":"source_values","content":"pub fn source_values(\n  query qry: Insert(a),\n  records rcrds: List(InsertRow),\n) -&gt; Insert(a)\n Specify the source values to insert.\n\nSynonyms:\ncake/query/insert.source_values\ncake/query/insert source_values","url":"cake/query/insert.html#source_values"},{"doc":"cake/query/insert","title":"string","content":"pub fn string(value vl: String) -&gt; Param\n Create an `InsertValue` from a column `String` and a `String` value.\n\nSynonyms:\ncake/query/insert.string\ncake/query/insert string","url":"cake/query/insert.html#string"},{"doc":"cake/query/insert","title":"table","content":"pub fn table(\n  query qry: Insert(a),\n  table_name tbl_nm: String,\n) -&gt; Insert(a)\n Specify the table to insert into.\n\nSynonyms:\ncake/query/insert.table\ncake/query/insert table","url":"cake/query/insert.html#table"},{"doc":"cake/query/insert","title":"to_query","content":"pub fn to_query(insert isrt: Insert(a)) -&gt; WriteQuery(a)\n Creates a `WriteQuery` from an `Insert` query.\n\nSynonyms:\ncake/query/insert.to_query\ncake/query/insert to_query","url":"cake/query/insert.html#to_query"},{"doc":"cake/query/insert","title":"cake/query/insert","content":" A DSL to build `INSERT` queries.\n","url":"cake/query/insert.html"},{"doc":"cake/query/join","title":"cross","content":"pub fn cross(with wth: JoinKind, alias als: String) -&gt; Join\n Also called _cartesian product_.\n\nSynonyms:\ncake/query/join.cross\ncake/query/join cross","url":"cake/query/join.html#cross"},{"doc":"cake/query/join","title":"full","content":"pub fn full(\n  with wth: JoinKind,\n  on on: Where,\n  alias als: String,\n) -&gt; Join\n Also called `FULL OUTER JOIN`.\n\n _Inclusive_ by default.\n\n Set `on` to `WHERE a.key IS NULL OR b.key IS NULL` to make it _exclusive_.\n\nSynonyms:\ncake/query/join.full\ncake/query/join full","url":"cake/query/join.html#full"},{"doc":"cake/query/join","title":"inner","content":"pub fn inner(\n  with wth: JoinKind,\n  on on: Where,\n  alias als: String,\n) -&gt; Join\n\nSynonyms:\ncake/query/join.inner\ncake/query/join inner","url":"cake/query/join.html#inner"},{"doc":"cake/query/join","title":"left","content":"pub fn left(\n  with wth: JoinKind,\n  on on: Where,\n  alias als: String,\n) -&gt; Join\n Also called `LEFT OUTER JOIN`.\n\n _Inclusive_ by default.\n\n Set `on` to `WHERE a.key IS NULL` to make it _exclusive_.\n\nSynonyms:\ncake/query/join.left\ncake/query/join left","url":"cake/query/join.html#left"},{"doc":"cake/query/join","title":"right","content":"pub fn right(\n  with wth: JoinKind,\n  on on: Where,\n  alias als: String,\n) -&gt; Join\n Also called `RIGHT OUTER JOIN`.\n\n _Inclusive_ by default.\n\n Set `on` to `WHERE b.key IS NULL` to make it _exclusive_.\n\nSynonyms:\ncake/query/join.right\ncake/query/join right","url":"cake/query/join.html#right"},{"doc":"cake/query/join","title":"sub_query","content":"pub fn sub_query(sub_query sq: Query) -&gt; JoinKind\n\nSynonyms:\ncake/query/join.sub_query\ncake/query/join sub_query","url":"cake/query/join.html#sub_query"},{"doc":"cake/query/join","title":"table","content":"pub fn table(table_name tbl_nm: String) -&gt; JoinKind\n\nSynonyms:\ncake/query/join.table\ncake/query/join table","url":"cake/query/join.html#table"},{"doc":"cake/query/join","title":"cake/query/join","content":" Functions to build `JOIN` clauses of SQL queries.\n\n Tables, views and sub-queries can be joined together.\n\n ## Supported join kinds\n\n - `INNER JOIN`\n - `LEFT JOIN`, inclusive, same as `LEFT OUTER JOIN`,\n - `RIGHT JOIN`, inclusive, same as `RIGHT OUTER JOIN`,\n - `FULL JOIN`, inclusive, same as `FULL OUTER JOIN`,\n - `CROSS JOIN`\n\n You can also build following joins using the provided query builder\n functions:\n\n - `SELF JOIN`: Use the same table, view, or sub-query with a different\n    alias.\n - `EXCLUSIVE LEFT JOIN`: `WHERE b.key IS NULL`\n - `EXCLUSIVE RIGHT JOIN`: `WHERE a.key IS NULL`\n - `EXCLUSIVE FULL JOIN`: `WHERE a.key IS NULL OR b.key IS NULL`\n","url":"cake/query/join.html"},{"doc":"cake/query/select","title":"Direction","content":"pub type Direction {\n  Asc\n  Desc\n}\n Defines the direction of an `OrderBy`.\n\nAsc\n\n\nDesc\n\n\nSynonyms:\ncake/query/select.Direction\ncake/query/select Direction","url":"cake/query/select.html#Direction"},{"doc":"cake/query/select","title":"alias","content":"pub fn alias(\n  value vl: SelectValue,\n  alias als: String,\n) -&gt; SelectValue\n Creates an alias off a `String`.\n\nSynonyms:\ncake/query/select.alias\ncake/query/select alias","url":"cake/query/select.html#alias"},{"doc":"cake/query/select","title":"all","content":"pub fn all(query qry: Select) -&gt; Select\n Sets the kind of the `Select` query to\n return duplicates which is the default.\n\nSynonyms:\ncake/query/select.all\ncake/query/select all","url":"cake/query/select.html#all"},{"doc":"cake/query/select","title":"bool","content":"pub fn bool(value vl: Bool) -&gt; SelectValue\n Creates a boolean `Param` off a `Bool`.\n\nSynonyms:\ncake/query/select.bool\ncake/query/select bool","url":"cake/query/select.html#bool"},{"doc":"cake/query/select","title":"col","content":"pub fn col(name nm: String) -&gt; SelectValue\n Creates a column identifier off a `String`.\n\nSynonyms:\ncake/query/select.col\ncake/query/select col","url":"cake/query/select.html#col"},{"doc":"cake/query/select","title":"comment","content":"pub fn comment(\n  query qry: Select,\n  comment cmmnt: String,\n) -&gt; Select\n Appends a `Comment` to the `Select` query.\n\nSynonyms:\ncake/query/select.comment\ncake/query/select comment","url":"cake/query/select.html#comment"},{"doc":"cake/query/select","title":"distinct","content":"pub fn distinct(query qry: Select) -&gt; Select\n Sets the kind of the `Select` query to\n return distinct rows only.\n\nSynonyms:\ncake/query/select.distinct\ncake/query/select distinct","url":"cake/query/select.html#distinct"},{"doc":"cake/query/select","title":"epilog","content":"pub fn epilog(query qry: Select, epilog eplg: String) -&gt; Select\n Appends an `Epilog` to the `Select` query.\n\nSynonyms:\ncake/query/select.epilog\ncake/query/select epilog","url":"cake/query/select.html#epilog"},{"doc":"cake/query/select","title":"float","content":"pub fn float(value vl: Float) -&gt; SelectValue\n Creates a float `Param` off a `Float`.\n\nSynonyms:\ncake/query/select.float\ncake/query/select float","url":"cake/query/select.html#float"},{"doc":"cake/query/select","title":"fragment","content":"pub fn fragment(fragment frgmt: Fragment) -&gt; SelectValue\n Creates a `SelectFragment` off a `Fragment`.\nSynonyms:\ncake/query/select.fragment\ncake/query/select fragment","url":"cake/query/select.html#fragment"},{"doc":"cake/query/select","title":"from_sub_query","content":"pub fn from_sub_query(\n  query qry: Select,\n  sub_query sb_qry: Query,\n  alias als: String,\n) -&gt; Select\n Sets the `FROM` clause of the `Select` query to an aliased sub-query.\n\nSynonyms:\ncake/query/select.from_sub_query\ncake/query/select from_sub_query","url":"cake/query/select.html#from_sub_query"},{"doc":"cake/query/select","title":"from_table","content":"pub fn from_table(\n  query qry: Select,\n  name tbl_nm: String,\n) -&gt; Select\n Sets the `FROM` clause of the `Select` query to a table name.\n\nSynonyms:\ncake/query/select.from_table\ncake/query/select from_table","url":"cake/query/select.html#from_table"},{"doc":"cake/query/select","title":"get_comment","content":"pub fn get_comment(query qry: Select) -&gt; Comment\n Gets the `Comment` from the `Select` query.\n\nSynonyms:\ncake/query/select.get_comment\ncake/query/select get_comment","url":"cake/query/select.html#get_comment"},{"doc":"cake/query/select","title":"get_epilog","content":"pub fn get_epilog(query qry: Select) -&gt; Epilog\n Gets the `Epilog` from the `Select` query.\n\nSynonyms:\ncake/query/select.get_epilog\ncake/query/select get_epilog","url":"cake/query/select.html#get_epilog"},{"doc":"cake/query/select","title":"get_from","content":"pub fn get_from(query qry: Select) -&gt; From\n Gets the `FROM` clause of the `Select` query.\n\nSynonyms:\ncake/query/select.get_from\ncake/query/select get_from","url":"cake/query/select.html#get_from"},{"doc":"cake/query/select","title":"get_group_by","content":"pub fn get_group_by(query qry: Select) -&gt; GroupBy\n Gets `GroupBy` in the `Select` query.\n\nSynonyms:\ncake/query/select.get_group_by\ncake/query/select get_group_by","url":"cake/query/select.html#get_group_by"},{"doc":"cake/query/select","title":"get_having","content":"pub fn get_having(query qry: Select) -&gt; Where\n Gets`HAVING` in the `Select` query.\n\n See function `having` on details why this returns a `Where`.\n\nSynonyms:\ncake/query/select.get_having\ncake/query/select get_having","url":"cake/query/select.html#get_having"},{"doc":"cake/query/select","title":"get_joins","content":"pub fn get_joins(query qry: Select) -&gt; Joins\n Gets the `Joins` of the `Select` query.\n\nSynonyms:\ncake/query/select.get_joins\ncake/query/select get_joins","url":"cake/query/select.html#get_joins"},{"doc":"cake/query/select","title":"get_kind","content":"pub fn get_kind(\n  query qry: Select,\n  kind knd: SelectKind,\n) -&gt; Select\n Gets the kind of the `Select` query.\n\nSynonyms:\ncake/query/select.get_kind\ncake/query/select get_kind","url":"cake/query/select.html#get_kind"},{"doc":"cake/query/select","title":"get_limit","content":"pub fn get_limit(query qry: Select) -&gt; Limit\n Gets `Limit` in the `Select` query.\n\nSynonyms:\ncake/query/select.get_limit\ncake/query/select get_limit","url":"cake/query/select.html#get_limit"},{"doc":"cake/query/select","title":"get_offset","content":"pub fn get_offset(query qry: Select) -&gt; Offset\n Gets `Offset` in the `Select` query.\n\nSynonyms:\ncake/query/select.get_offset\ncake/query/select get_offset","url":"cake/query/select.html#get_offset"},{"doc":"cake/query/select","title":"get_order_by","content":"pub fn get_order_by(query qry: Select) -&gt; OrderBy\n Gets the `OrderBy` from the `Select` query.\n\nSynonyms:\ncake/query/select.get_order_by\ncake/query/select get_order_by","url":"cake/query/select.html#get_order_by"},{"doc":"cake/query/select","title":"get_select","content":"pub fn get_select(query qry: Select) -&gt; Selects\n Gets the `SelectValue`s of the `Select` query.\n\nSynonyms:\ncake/query/select.get_select\ncake/query/select get_select","url":"cake/query/select.html#get_select"},{"doc":"cake/query/select","title":"get_where","content":"pub fn get_where(query qry: Select) -&gt; Where\n Gets the `Where` of the `Select` query.\n\nSynonyms:\ncake/query/select.get_where\ncake/query/select get_where","url":"cake/query/select.html#get_where"},{"doc":"cake/query/select","title":"group_by","content":"pub fn group_by(\n  query qry: Select,\n  group_by grpb: String,\n) -&gt; Select\n Sets or appends `GroupBy` a single into an existing `GroupBy`.\n\nSynonyms:\ncake/query/select.group_by\ncake/query/select group_by","url":"cake/query/select.html#group_by"},{"doc":"cake/query/select","title":"groups_by","content":"pub fn groups_by(\n  query qry: Select,\n  group_bys grpbs: List(String),\n) -&gt; Select\n Sets or appends a list of `GroupBy` into an existing `GroupBy`.\n\nSynonyms:\ncake/query/select.groups_by\ncake/query/select groups_by","url":"cake/query/select.html#groups_by"},{"doc":"cake/query/select","title":"having","content":"pub fn having(query qry: Select, having whr: Where) -&gt; Select\n Sets an `AndWhere` or appends into an existing `AndWhere`.\n\n - If the outermost `Where` is an `AndWhere`, the new `Where` is appended\n   to the list within `AndWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `AndWhere`.\n\n NOTICE: `HAVING` allows to specify constraints much like `WHERE`,\n         but filters the results after `GROUP BY` is applied instead of\n         before. Because `HAVING` uses the same semantics as `WHERE`, it\n         takes a `Where`.\n\nSynonyms:\ncake/query/select.having\ncake/query/select having","url":"cake/query/select.html#having"},{"doc":"cake/query/select","title":"int","content":"pub fn int(value vl: Int) -&gt; SelectValue\n Creates an integer `Param` off an `Int`.\n\nSynonyms:\ncake/query/select.int\ncake/query/select int","url":"cake/query/select.html#int"},{"doc":"cake/query/select","title":"join","content":"pub fn join(query qry: Select, join jn: Join) -&gt; Select\n Adds a `Join` to the `Select` query.\n\nSynonyms:\ncake/query/select.join\ncake/query/select join","url":"cake/query/select.html#join"},{"doc":"cake/query/select","title":"joins","content":"pub fn joins(query qry: Select, joins jns: List(Join)) -&gt; Select\n Adds `Join`s to the `Select` query.\n\nSynonyms:\ncake/query/select.joins\ncake/query/select joins","url":"cake/query/select.html#joins"},{"doc":"cake/query/select","title":"limit","content":"pub fn limit(query qry: Select, limit lmt: Int) -&gt; Select\n Sets a `Limit` in the `Select` query.\n\nSynonyms:\ncake/query/select.limit\ncake/query/select limit","url":"cake/query/select.html#limit"},{"doc":"cake/query/select","title":"new","content":"pub fn new() -&gt; Select\n Creates an empty `Select` query.\n\nSynonyms:\ncake/query/select.new\ncake/query/select new","url":"cake/query/select.html#new"},{"doc":"cake/query/select","title":"no_comment","content":"pub fn no_comment(query qry: Select) -&gt; Select\n Removes the `Comment` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_comment\ncake/query/select no_comment","url":"cake/query/select.html#no_comment"},{"doc":"cake/query/select","title":"no_epilog","content":"pub fn no_epilog(query qry: Select) -&gt; Select\n Removes the `Epilog` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_epilog\ncake/query/select no_epilog","url":"cake/query/select.html#no_epilog"},{"doc":"cake/query/select","title":"no_from","content":"pub fn no_from(query qry: Select) -&gt; Select\n Removes the `FROM` clause of the `Select` query.\n\nSynonyms:\ncake/query/select.no_from\ncake/query/select no_from","url":"cake/query/select.html#no_from"},{"doc":"cake/query/select","title":"no_group_by","content":"pub fn no_group_by(query qry: Select) -&gt; Select\n Removes `GroupBy` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_group_by\ncake/query/select no_group_by","url":"cake/query/select.html#no_group_by"},{"doc":"cake/query/select","title":"no_having","content":"pub fn no_having(query qry: Select) -&gt; Select\n Removes `HAVING` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_having\ncake/query/select no_having","url":"cake/query/select.html#no_having"},{"doc":"cake/query/select","title":"no_join","content":"pub fn no_join(query qry: Select) -&gt; Select\n Removes any `Joins` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_join\ncake/query/select no_join","url":"cake/query/select.html#no_join"},{"doc":"cake/query/select","title":"no_limit","content":"pub fn no_limit(query qry: Select) -&gt; Select\n Removes `Limit` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_limit\ncake/query/select no_limit","url":"cake/query/select.html#no_limit"},{"doc":"cake/query/select","title":"no_offset","content":"pub fn no_offset(query qry: Select) -&gt; Select\n Removes `Offset` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_offset\ncake/query/select no_offset","url":"cake/query/select.html#no_offset"},{"doc":"cake/query/select","title":"no_order_by","content":"pub fn no_order_by(query qry: Select) -&gt; Select\n Removes the `OrderBy` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_order_by\ncake/query/select no_order_by","url":"cake/query/select.html#no_order_by"},{"doc":"cake/query/select","title":"no_where","content":"pub fn no_where(query qry: Select) -&gt; Select\n Removes the `Where` from the `Select` query.\n\nSynonyms:\ncake/query/select.no_where\ncake/query/select no_where","url":"cake/query/select.html#no_where"},{"doc":"cake/query/select","title":"offset","content":"pub fn offset(query qry: Select, offst offst: Int) -&gt; Select\n Sets an `Offset` in the `Select` query.\n\nSynonyms:\ncake/query/select.offset\ncake/query/select offset","url":"cake/query/select.html#offset"},{"doc":"cake/query/select","title":"or_having","content":"pub fn or_having(query qry: Select, having whr: Where) -&gt; Select\n Sets an `OrWhere` or appends into an existing `OrWhere`.\n\n - If the outermost `Where` is an `OrWhere`, the new `Where` is appended\n   to the list within `OrWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `OrWhere`.\n\n See function `having` on details why this takes a `Where`.\n\nSynonyms:\ncake/query/select.or_having\ncake/query/select or_having","url":"cake/query/select.html#or_having"},{"doc":"cake/query/select","title":"or_where","content":"pub fn or_where(query qry: Select, where whr: Where) -&gt; Select\n Sets an `OrWhere` or appends into an existing `OrWhere`.\n\n - If the outermost `Where` is an `OrWhere`, the new `Where` is appended\n   to the list within `OrWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `OrWhere`.\n\nSynonyms:\ncake/query/select.or_where\ncake/query/select or_where","url":"cake/query/select.html#or_where"},{"doc":"cake/query/select","title":"order_by","content":"pub fn order_by(\n  query qry: Select,\n  by ordb: String,\n  direction dir: Direction,\n) -&gt; Select\n Creates or appends an `OrderBy` a column with a direction.\n\n The direction can either `ASC` or `DESC`.\n\nSynonyms:\ncake/query/select.order_by\ncake/query/select order_by","url":"cake/query/select.html#order_by"},{"doc":"cake/query/select","title":"order_by_asc","content":"pub fn order_by_asc(query qry: Select, by ordb: String) -&gt; Select\n Creates or appends an ascending `OrderBy`.\n\nSynonyms:\ncake/query/select.order_by_asc\ncake/query/select order_by_asc","url":"cake/query/select.html#order_by_asc"},{"doc":"cake/query/select","title":"order_by_asc_nulls_first","content":"pub fn order_by_asc_nulls_first(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Creates or appends an ascending `OrderBy` with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/select.order_by_asc_nulls_first\ncake/query/select order_by_asc_nulls_first","url":"cake/query/select.html#order_by_asc_nulls_first"},{"doc":"cake/query/select","title":"order_by_asc_nulls_last","content":"pub fn order_by_asc_nulls_last(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Creates or appends an ascending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/select.order_by_asc_nulls_last\ncake/query/select order_by_asc_nulls_last","url":"cake/query/select.html#order_by_asc_nulls_last"},{"doc":"cake/query/select","title":"order_by_desc","content":"pub fn order_by_desc(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Creates or appends a descending `OrderBy`.\n\nSynonyms:\ncake/query/select.order_by_desc\ncake/query/select order_by_desc","url":"cake/query/select.html#order_by_desc"},{"doc":"cake/query/select","title":"order_by_desc_nulls_first","content":"pub fn order_by_desc_nulls_first(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Creates or appends a descending order with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/select.order_by_desc_nulls_first\ncake/query/select order_by_desc_nulls_first","url":"cake/query/select.html#order_by_desc_nulls_first"},{"doc":"cake/query/select","title":"order_by_desc_nulls_last","content":"pub fn order_by_desc_nulls_last(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Creates or appends a descending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/select.order_by_desc_nulls_last\ncake/query/select order_by_desc_nulls_last","url":"cake/query/select.html#order_by_desc_nulls_last"},{"doc":"cake/query/select","title":"replace_group_by","content":"pub fn replace_group_by(\n  query qry: Select,\n  group_by grpb: String,\n) -&gt; Select\n Replaces `GroupBy` with a single `GroupBy`.\n\nSynonyms:\ncake/query/select.replace_group_by\ncake/query/select replace_group_by","url":"cake/query/select.html#replace_group_by"},{"doc":"cake/query/select","title":"replace_group_bys","content":"pub fn replace_group_bys(\n  query qry: Select,\n  group_bys grpbs: List(String),\n) -&gt; Select\n Replaces `GroupBy` with a list of `GroupBy`s.\n\nSynonyms:\ncake/query/select.replace_group_bys\ncake/query/select replace_group_bys","url":"cake/query/select.html#replace_group_bys"},{"doc":"cake/query/select","title":"replace_having","content":"pub fn replace_having(\n  query qry: Select,\n  having whr: Where,\n) -&gt; Select\n Replaces `HAVING` in the `Select` query.\n\n See function `having` on details why this takes a `Where`.\n\nSynonyms:\ncake/query/select.replace_having\ncake/query/select replace_having","url":"cake/query/select.html#replace_having"},{"doc":"cake/query/select","title":"replace_join","content":"pub fn replace_join(query qry: Select, join jn: Join) -&gt; Select\n Replaces any `Join`s of the `Select` query with a signle `Join`.\n\nSynonyms:\ncake/query/select.replace_join\ncake/query/select replace_join","url":"cake/query/select.html#replace_join"},{"doc":"cake/query/select","title":"replace_joins","content":"pub fn replace_joins(\n  query qry: Select,\n  joins jns: List(Join),\n) -&gt; Select\n Replaces any `Join`s of the `Select` query with the given `Join`s.\n\nSynonyms:\ncake/query/select.replace_joins\ncake/query/select replace_joins","url":"cake/query/select.html#replace_joins"},{"doc":"cake/query/select","title":"replace_order_by","content":"pub fn replace_order_by(\n  query qry: Select,\n  by ordb: String,\n  direction dir: Direction,\n) -&gt; Select\n Replaces the `OrderBy` a column with a direction.\n\nSynonyms:\ncake/query/select.replace_order_by\ncake/query/select replace_order_by","url":"cake/query/select.html#replace_order_by"},{"doc":"cake/query/select","title":"replace_order_by_asc","content":"pub fn replace_order_by_asc(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single ascending `OrderBy`.\n\nSynonyms:\ncake/query/select.replace_order_by_asc\ncake/query/select replace_order_by_asc","url":"cake/query/select.html#replace_order_by_asc"},{"doc":"cake/query/select","title":"replace_order_by_asc_nulls_first","content":"pub fn replace_order_by_asc_nulls_first(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single ascending `OrderBy` with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/select.replace_order_by_asc_nulls_first\ncake/query/select replace_order_by_asc_nulls_first","url":"cake/query/select.html#replace_order_by_asc_nulls_first"},{"doc":"cake/query/select","title":"replace_order_by_asc_nulls_last","content":"pub fn replace_order_by_asc_nulls_last(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single ascending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/select.replace_order_by_asc_nulls_last\ncake/query/select replace_order_by_asc_nulls_last","url":"cake/query/select.html#replace_order_by_asc_nulls_last"},{"doc":"cake/query/select","title":"replace_order_by_desc","content":"pub fn replace_order_by_desc(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single descending order.\n\nSynonyms:\ncake/query/select.replace_order_by_desc\ncake/query/select replace_order_by_desc","url":"cake/query/select.html#replace_order_by_desc"},{"doc":"cake/query/select","title":"replace_order_by_desc_nulls_first","content":"pub fn replace_order_by_desc_nulls_first(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single descending order with `NULLS FIRST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS FIRST` out of the box.\n\nSynonyms:\ncake/query/select.replace_order_by_desc_nulls_first\ncake/query/select replace_order_by_desc_nulls_first","url":"cake/query/select.html#replace_order_by_desc_nulls_first"},{"doc":"cake/query/select","title":"replace_order_by_desc_nulls_last","content":"pub fn replace_order_by_desc_nulls_last(\n  query qry: Select,\n  by ordb: String,\n) -&gt; Select\n Replaces the `OrderBy` a single descending `OrderBy` with `NULLS LAST`.\n\n NOTICE: MariaDB/MySQL do not support `NULLS LAST` out of the box.\n\nSynonyms:\ncake/query/select.replace_order_by_desc_nulls_last\ncake/query/select replace_order_by_desc_nulls_last","url":"cake/query/select.html#replace_order_by_desc_nulls_last"},{"doc":"cake/query/select","title":"replace_select","content":"pub fn replace_select(\n  query qry: Select,\n  select_value sv: SelectValue,\n) -&gt; Select\n Add a `SelectValue`s to the `Select` query.\n\n If the query already has any `SelectValue`s, they are replaced.\n\nSynonyms:\ncake/query/select.replace_select\ncake/query/select replace_select","url":"cake/query/select.html#replace_select"},{"doc":"cake/query/select","title":"replace_selects","content":"pub fn replace_selects(\n  query qry: Select,\n  select_values svs: List(SelectValue),\n) -&gt; Select\n Adds `SelectValue`s to the `Select` query.\n\n If the query already has any `SelectValue`s, they are replaced.\n\nSynonyms:\ncake/query/select.replace_selects\ncake/query/select replace_selects","url":"cake/query/select.html#replace_selects"},{"doc":"cake/query/select","title":"replace_where","content":"pub fn replace_where(\n  query qry: Select,\n  where whr: Where,\n) -&gt; Select\n Replaces the `Where` in the `Select` query.\n\nSynonyms:\ncake/query/select.replace_where\ncake/query/select replace_where","url":"cake/query/select.html#replace_where"},{"doc":"cake/query/select","title":"select","content":"pub fn select(\n  query qry: Select,\n  select_value sv: SelectValue,\n) -&gt; Select\n Add a `SelectValue` to the `Select` query.\n\n If the query already has any `SelectValue`s, the new one is appended.\n\nSynonyms:\ncake/query/select.select\ncake/query/select select","url":"cake/query/select.html#select"},{"doc":"cake/query/select","title":"selects","content":"pub fn selects(\n  query qry: Select,\n  select_values svs: List(SelectValue),\n) -&gt; Select\n Adds `SelectValue`s to the `Select` query.\n\n If the query already has any `SelectValue`s, the new ones are appended.\n\nSynonyms:\ncake/query/select.selects\ncake/query/select selects","url":"cake/query/select.html#selects"},{"doc":"cake/query/select","title":"string","content":"pub fn string(value vl: String) -&gt; SelectValue\n Creates a string `Param` off a `String`.\n\nSynonyms:\ncake/query/select.string\ncake/query/select string","url":"cake/query/select.html#string"},{"doc":"cake/query/select","title":"to_query","content":"pub fn to_query(query qry: Select) -&gt; Query\n Creates a `Query` from a `Select` query.\n\nSynonyms:\ncake/query/select.to_query\ncake/query/select to_query","url":"cake/query/select.html#to_query"},{"doc":"cake/query/select","title":"where","content":"pub fn where(query qry: Select, where whr: Where) -&gt; Select\n Sets an `AndWhere` or appends into an existing `AndWhere`.\n\n - If the outermost `Where` is an `AndWhere`, the new `Where` is appended\n   to the list within `AndWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `AndWhere`.\n\nSynonyms:\ncake/query/select.where\ncake/query/select where","url":"cake/query/select.html#where"},{"doc":"cake/query/select","title":"xor_having","content":"pub fn xor_having(query qry: Select, having whr: Where) -&gt; Select\n Sets an `XorWhere` or appends into an existing `XorWhere`.\n\n - If the outermost `Where` is an `XorWhere`, the new `Where` is appended\n   to the list within `XorWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `XorWhere`.\n\n See function `having` on details why this takes a `Where`.\n\n NOTICE: This operator does not exist in Postgres or Sqlite,\n         and *Cake* generates equivalent SQL using `OR` and `AND` and `NOT`.\n         This operator exists in MariaDB/MySQL.\n\nSynonyms:\ncake/query/select.xor_having\ncake/query/select xor_having","url":"cake/query/select.html#xor_having"},{"doc":"cake/query/select","title":"xor_where","content":"pub fn xor_where(query qry: Select, where whr: Where) -&gt; Select\n Sets an `XorWhere` or appends into an existing `XorWhere`.\n\n - If the outermost `Where` is an `XorWhere`, the new `Where` is appended\n   to the list within `XorWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `XorWhere`.\n\n NOTICE: This operator does not exist in Postgres or Sqlite,\n         and *Cake* generates equivalent SQL using `OR` and `AND` and `NOT`.\n         This operator exists in MariaDB/MySQL.\n\nSynonyms:\ncake/query/select.xor_where\ncake/query/select xor_where","url":"cake/query/select.html#xor_where"},{"doc":"cake/query/select","title":"cake/query/select","content":" A DSL to build `SELECT` queries.\n","url":"cake/query/select.html"},{"doc":"cake/query/update","title":"bool","content":"pub fn bool(value vl: Bool) -&gt; Param\n Creates a `Param` from a `Bool`.\n\nSynonyms:\ncake/query/update.bool\ncake/query/update bool","url":"cake/query/update.html#bool"},{"doc":"cake/query/update","title":"comment","content":"pub fn comment(\n  query qry: Update(a),\n  comment cmmnt: String,\n) -&gt; Update(a)\n Sets a `Comment` or appends into an existing `Comment`.\n\nSynonyms:\ncake/query/update.comment\ncake/query/update comment","url":"cake/query/update.html#comment"},{"doc":"cake/query/update","title":"epilog","content":"pub fn epilog(\n  query qry: Update(a),\n  epilog eplg: String,\n) -&gt; Update(a)\n Sets an `Epilog` or appends into an existing `Epilog`.\n\nSynonyms:\ncake/query/update.epilog\ncake/query/update epilog","url":"cake/query/update.html#epilog"},{"doc":"cake/query/update","title":"float","content":"pub fn float(value vl: Float) -&gt; Param\n Creates a `Param` from a `Float`.\n\nSynonyms:\ncake/query/update.float\ncake/query/update float","url":"cake/query/update.html#float"},{"doc":"cake/query/update","title":"from_sub_query","content":"pub fn from_sub_query(\n  query qry: Update(a),\n  sub_query sb_qry: Query,\n  alias als: String,\n) -&gt; Update(a)\n Sets the `FROM` clause of the `Update` query to an aliased sub-query.\n\nSynonyms:\ncake/query/update.from_sub_query\ncake/query/update from_sub_query","url":"cake/query/update.html#from_sub_query"},{"doc":"cake/query/update","title":"from_table","content":"pub fn from_table(\n  query qry: Update(a),\n  name tbl_nm: String,\n) -&gt; Update(a)\n Sets the `FROM` clause of the `Update` query to a table name.\n\nSynonyms:\ncake/query/update.from_table\ncake/query/update from_table","url":"cake/query/update.html#from_table"},{"doc":"cake/query/update","title":"get_comment","content":"pub fn get_comment(query qry: Update(a)) -&gt; Comment\n Gets the `Comment` of the `Update` query.\n\nSynonyms:\ncake/query/update.get_comment\ncake/query/update get_comment","url":"cake/query/update.html#get_comment"},{"doc":"cake/query/update","title":"get_epilog","content":"pub fn get_epilog(query qry: Update(a)) -&gt; Epilog\n Gets the `Epilog` of the `Update` query.\n\nSynonyms:\ncake/query/update.get_epilog\ncake/query/update get_epilog","url":"cake/query/update.html#get_epilog"},{"doc":"cake/query/update","title":"get_from","content":"pub fn get_from(query qry: Update(a)) -&gt; From\n Gets the `FROM` clause of the `Update` query.\n\nSynonyms:\ncake/query/update.get_from\ncake/query/update get_from","url":"cake/query/update.html#get_from"},{"doc":"cake/query/update","title":"get_joins","content":"pub fn get_joins(query qry: Update(a)) -&gt; Joins\n Gets the `Joins` of the `Update` query.\n\nSynonyms:\ncake/query/update.get_joins\ncake/query/update get_joins","url":"cake/query/update.html#get_joins"},{"doc":"cake/query/update","title":"get_where","content":"pub fn get_where(query qry: Update(a)) -&gt; Where\n Gets the `Where` of the `Update` query.\n\nSynonyms:\ncake/query/update.get_where\ncake/query/update get_where","url":"cake/query/update.html#get_where"},{"doc":"cake/query/update","title":"int","content":"pub fn int(value vl: Int) -&gt; Param\n Creates a `Param` from an `Int`.\n\nSynonyms:\ncake/query/update.int\ncake/query/update int","url":"cake/query/update.html#int"},{"doc":"cake/query/update","title":"join","content":"pub fn join(query qry: Update(a), join jn: Join) -&gt; Update(a)\n Adds a `Join` to the `Update` query.\n\n NOTICE: On Postgres/Sqlite `Joins` are only allowed if the `FROM` clause is\n set as well.\n\nSynonyms:\ncake/query/update.join\ncake/query/update join","url":"cake/query/update.html#join"},{"doc":"cake/query/update","title":"joins","content":"pub fn joins(\n  query qry: Update(a),\n  joins jns: List(Join),\n) -&gt; Update(a)\n Adds `Join`s to the `Update` query.\n\n NOTICE: On Postgres/Sqlite `Joins` are only allowed if the `FROM` clause is\n set as well.\n\nSynonyms:\ncake/query/update.joins\ncake/query/update joins","url":"cake/query/update.html#joins"},{"doc":"cake/query/update","title":"new","content":"pub fn new(\n  table tbl: String,\n  sets sts: List(UpdateSet),\n) -&gt; Update(a)\n Creates a minimal `Update` query specifying the table and the sets.\n\nSynonyms:\ncake/query/update.new\ncake/query/update new","url":"cake/query/update.html#new"},{"doc":"cake/query/update","title":"no_comment","content":"pub fn no_comment(query qry: Update(a)) -&gt; Update(a)\n Removes the `Comment` from the `Update` query.\n\nSynonyms:\ncake/query/update.no_comment\ncake/query/update no_comment","url":"cake/query/update.html#no_comment"},{"doc":"cake/query/update","title":"no_epilog","content":"pub fn no_epilog(query qry: Update(a)) -&gt; Update(a)\n Removes the `Epilog` from the `Update` query.\n\nSynonyms:\ncake/query/update.no_epilog\ncake/query/update no_epilog","url":"cake/query/update.html#no_epilog"},{"doc":"cake/query/update","title":"no_from","content":"pub fn no_from(query qry: Update(a)) -&gt; Update(a)\n Removes the `FROM` clause of the `Update` query.\n\nSynonyms:\ncake/query/update.no_from\ncake/query/update no_from","url":"cake/query/update.html#no_from"},{"doc":"cake/query/update","title":"no_join","content":"pub fn no_join(query qry: Update(a)) -&gt; Update(a)\n Removes any `Joins` from the `Update` query.\n\nSynonyms:\ncake/query/update.no_join\ncake/query/update no_join","url":"cake/query/update.html#no_join"},{"doc":"cake/query/update","title":"no_returning","content":"pub fn no_returning(query qry: Update(a)) -&gt; Update(a)\n NOTICE: MariaDB/MySQL do not support `RETURNING` in `UPDATE` queries;\n         they do support it in `INSERT` (and `REPLACE`) queries, however.\n\nSynonyms:\ncake/query/update.no_returning\ncake/query/update no_returning","url":"cake/query/update.html#no_returning"},{"doc":"cake/query/update","title":"no_where","content":"pub fn no_where(query qry: Update(a)) -&gt; Update(a)\n Removes the `Where` from the `Update` query.\n\nSynonyms:\ncake/query/update.no_where\ncake/query/update no_where","url":"cake/query/update.html#no_where"},{"doc":"cake/query/update","title":"or_where","content":"pub fn or_where(\n  query qry: Update(a),\n  where whr: Where,\n) -&gt; Update(a)\n Sets an `OrWhere` or appends into an existing `OrWhere`.\n\n - If the outermost `Where` is an `OrWhere`, the new `Where` is appended\n   to the list within `OrWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `OrWhere`.\n\nSynonyms:\ncake/query/update.or_where\ncake/query/update or_where","url":"cake/query/update.html#or_where"},{"doc":"cake/query/update","title":"replace_join","content":"pub fn replace_join(\n  query qry: Update(a),\n  join jn: Join,\n) -&gt; Update(a)\n Replaces any `Join`s of the `Update` query with a signle `Join`.\n\n NOTICE: On Postgres/Sqlite `Joins` are only allowed if the `FROM` clause is\n set as well.\n\nSynonyms:\ncake/query/update.replace_join\ncake/query/update replace_join","url":"cake/query/update.html#replace_join"},{"doc":"cake/query/update","title":"replace_joins","content":"pub fn replace_joins(\n  query qry: Update(a),\n  joins jns: List(Join),\n) -&gt; Update(a)\n Replaces any `Join`s of the `Update` query with the given `Join`s.\n\n NOTICE: On Postgres/Sqlite `Joins` are only allowed if the `FROM` clause is\n set as well.\n\nSynonyms:\ncake/query/update.replace_joins\ncake/query/update replace_joins","url":"cake/query/update.html#replace_joins"},{"doc":"cake/query/update","title":"replace_where","content":"pub fn replace_where(\n  query qry: Update(a),\n  where whr: Where,\n) -&gt; Update(a)\n Replaces the `Where` in the `Update` query.\n\nSynonyms:\ncake/query/update.replace_where\ncake/query/update replace_where","url":"cake/query/update.html#replace_where"},{"doc":"cake/query/update","title":"returning","content":"pub fn returning(\n  query qry: Update(a),\n  returning rtrn: List(String),\n) -&gt; Update(a)\n NOTICE: MariaDB/MySQL do not support `RETURNING` in `UPDATE` queries;\n         they do support it in `INSERT` (and `REPLACE`) queries, however.\n\nSynonyms:\ncake/query/update.returning\ncake/query/update returning","url":"cake/query/update.html#returning"},{"doc":"cake/query/update","title":"set_many_to_expression","content":"pub fn set_many_to_expression(\n  columns cols: List(String),\n  expression exp: String,\n) -&gt; UpdateSet\n Sets many columns to an expression value.\n\n NOTICE: the expression must return the same number of columns.\n\nSynonyms:\ncake/query/update.set_many_to_expression\ncake/query/update set_many_to_expression","url":"cake/query/update.html#set_many_to_expression"},{"doc":"cake/query/update","title":"set_many_to_sub_query","content":"pub fn set_many_to_sub_query(\n  columns cols: List(String),\n  sub_query qry: Query,\n) -&gt; UpdateSet\n Sets many columns to a sub-query value.\n\n NOTICE: the sub-query must return the same number of columns.\n\nSynonyms:\ncake/query/update.set_many_to_sub_query\ncake/query/update set_many_to_sub_query","url":"cake/query/update.html#set_many_to_sub_query"},{"doc":"cake/query/update","title":"set_to_expression","content":"pub fn set_to_expression(\n  column col: String,\n  expression exp: String,\n) -&gt; UpdateSet\n Sets a column to an expression value.\n\nSynonyms:\ncake/query/update.set_to_expression\ncake/query/update set_to_expression","url":"cake/query/update.html#set_to_expression"},{"doc":"cake/query/update","title":"set_to_param","content":"pub fn set_to_param(\n  column col: String,\n  param prm: Param,\n) -&gt; UpdateSet\n Sets a column to a param value.\n\nSynonyms:\ncake/query/update.set_to_param\ncake/query/update set_to_param","url":"cake/query/update.html#set_to_param"},{"doc":"cake/query/update","title":"set_to_sub_query","content":"pub fn set_to_sub_query(\n  column col: String,\n  sub_query qry: Query,\n) -&gt; UpdateSet\n Sets a column to a sub-query value.\n\nSynonyms:\ncake/query/update.set_to_sub_query\ncake/query/update set_to_sub_query","url":"cake/query/update.html#set_to_sub_query"},{"doc":"cake/query/update","title":"string","content":"pub fn string(value vl: String) -&gt; Param\n Creates a `Param` from a `String`.\n\nSynonyms:\ncake/query/update.string\ncake/query/update string","url":"cake/query/update.html#string"},{"doc":"cake/query/update","title":"to_query","content":"pub fn to_query(update updt: Update(a)) -&gt; WriteQuery(a)\n Creates a `WriteQuery` from an `Update` query.\n\nSynonyms:\ncake/query/update.to_query\ncake/query/update to_query","url":"cake/query/update.html#to_query"},{"doc":"cake/query/update","title":"where","content":"pub fn where(query qry: Update(a), where whr: Where) -&gt; Update(a)\n Sets an `AndWhere` or appends into an existing `AndWhere`.\n\n - If the outermost `Where` is an `AndWhere`, the new `Where` is appended\n   to the list within `AndWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `AndWhere`.\n\nSynonyms:\ncake/query/update.where\ncake/query/update where","url":"cake/query/update.html#where"},{"doc":"cake/query/update","title":"xor_where","content":"pub fn xor_where(\n  query qry: Update(a),\n  where whr: Where,\n) -&gt; Update(a)\n Sets an `XorWhere` or appends into an existing `XorWhere`.\n\n - If the outermost `Where` is an `XorWhere`, the new `Where` is appended\n   to the list within `XorWhere`.\n - If the query does not have a `Where` clause, the given `Where` is set\n   instead.\n - If the outermost `Where` is any other kind of `Where`, this and the\n   current outermost `Where` are wrapped in an `XorWhere`.\n\n NOTICE: This operator does not exist in Postgres or Sqlite,\n         and *Cake* generates equivalent SQL using `OR` and `AND` and `NOT`.\n         This operator exists in MariaDB/MySQL.\n\nSynonyms:\ncake/query/update.xor_where\ncake/query/update xor_where","url":"cake/query/update.html#xor_where"},{"doc":"cake/query/update","title":"cake/query/update","content":" A DSL to build `UPDATE` queries.\n","url":"cake/query/update.html"},{"doc":"cake/query/where","title":"and","content":"pub fn and(wheres whrs: List(Where)) -&gt; Where\n\nSynonyms:\ncake/query/where.and\ncake/query/where and","url":"cake/query/where.html#and"},{"doc":"cake/query/where","title":"between","content":"pub fn between(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n  value_c vl_c: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.between\ncake/query/where between","url":"cake/query/where.html#between"},{"doc":"cake/query/where","title":"col","content":"pub fn col(name: String) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.col\ncake/query/where col","url":"cake/query/where.html#col"},{"doc":"cake/query/where","title":"eq","content":"pub fn eq(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.eq\ncake/query/where eq","url":"cake/query/where.html#eq"},{"doc":"cake/query/where","title":"eq_all_query","content":"pub fn eq_all_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.eq_all_query\ncake/query/where eq_all_query","url":"cake/query/where.html#eq_all_query"},{"doc":"cake/query/where","title":"eq_any_query","content":"pub fn eq_any_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.eq_any_query\ncake/query/where eq_any_query","url":"cake/query/where.html#eq_any_query"},{"doc":"cake/query/where","title":"exists_in_query","content":"pub fn exists_in_query(sub_query qry: Query) -&gt; Where\n\nSynonyms:\ncake/query/where.exists_in_query\ncake/query/where exists_in_query","url":"cake/query/where.html#exists_in_query"},{"doc":"cake/query/where","title":"float","content":"pub fn float(v vl: Float) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.float\ncake/query/where float","url":"cake/query/where.html#float"},{"doc":"cake/query/where","title":"fragment","content":"pub fn fragment(fragment frgmt: Fragment) -&gt; Where\n\nSynonyms:\ncake/query/where.fragment\ncake/query/where fragment","url":"cake/query/where.html#fragment"},{"doc":"cake/query/where","title":"fragment_value","content":"pub fn fragment_value(fragment frgmt: Fragment) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.fragment_value\ncake/query/where fragment_value","url":"cake/query/where.html#fragment_value"},{"doc":"cake/query/where","title":"gt","content":"pub fn gt(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.gt\ncake/query/where gt","url":"cake/query/where.html#gt"},{"doc":"cake/query/where","title":"gt_all_query","content":"pub fn gt_all_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.gt_all_query\ncake/query/where gt_all_query","url":"cake/query/where.html#gt_all_query"},{"doc":"cake/query/where","title":"gt_any_query","content":"pub fn gt_any_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.gt_any_query\ncake/query/where gt_any_query","url":"cake/query/where.html#gt_any_query"},{"doc":"cake/query/where","title":"gte","content":"pub fn gte(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.gte\ncake/query/where gte","url":"cake/query/where.html#gte"},{"doc":"cake/query/where","title":"gte_all_query","content":"pub fn gte_all_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.gte_all_query\ncake/query/where gte_all_query","url":"cake/query/where.html#gte_all_query"},{"doc":"cake/query/where","title":"gte_any_query","content":"pub fn gte_any_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.gte_any_query\ncake/query/where gte_any_query","url":"cake/query/where.html#gte_any_query"},{"doc":"cake/query/where","title":"ilike","content":"pub fn ilike(\n  value vl: WhereValue,\n  pattern pttrn: String,\n) -&gt; Where\n `ILIKE` is the same as `LIKE` but case-insensitive.\n\nSynonyms:\ncake/query/where.ilike\ncake/query/where ilike","url":"cake/query/where.html#ilike"},{"doc":"cake/query/where","title":"in","content":"pub fn in(\n  value vl: WhereValue,\n  values vals: List(WhereValue),\n) -&gt; Where\n\nSynonyms:\ncake/query/where.in\ncake/query/where in","url":"cake/query/where.html#in"},{"doc":"cake/query/where","title":"int","content":"pub fn int(v vl: Int) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.int\ncake/query/where int","url":"cake/query/where.html#int"},{"doc":"cake/query/where","title":"is_bool","content":"pub fn is_bool(value vl: WhereValue, bool b: Bool) -&gt; Where\n\nSynonyms:\ncake/query/where.is_bool\ncake/query/where is_bool","url":"cake/query/where.html#is_bool"},{"doc":"cake/query/where","title":"is_false","content":"pub fn is_false(value vl: WhereValue) -&gt; Where\n\nSynonyms:\ncake/query/where.is_false\ncake/query/where is_false","url":"cake/query/where.html#is_false"},{"doc":"cake/query/where","title":"is_not","content":"pub fn is_not(value vl: WhereValue, bool b: Bool) -&gt; Where\n\nSynonyms:\ncake/query/where.is_not\ncake/query/where is_not","url":"cake/query/where.html#is_not"},{"doc":"cake/query/where","title":"is_not_bool","content":"pub fn is_not_bool(value vl: WhereValue, bool b: Bool) -&gt; Where\n\nSynonyms:\ncake/query/where.is_not_bool\ncake/query/where is_not_bool","url":"cake/query/where.html#is_not_bool"},{"doc":"cake/query/where","title":"is_not_null","content":"pub fn is_not_null(value vl: WhereValue) -&gt; Where\n\nSynonyms:\ncake/query/where.is_not_null\ncake/query/where is_not_null","url":"cake/query/where.html#is_not_null"},{"doc":"cake/query/where","title":"is_null","content":"pub fn is_null(value vl: WhereValue) -&gt; Where\n\nSynonyms:\ncake/query/where.is_null\ncake/query/where is_null","url":"cake/query/where.html#is_null"},{"doc":"cake/query/where","title":"is_true","content":"pub fn is_true(value vl: WhereValue) -&gt; Where\n\nSynonyms:\ncake/query/where.is_true\ncake/query/where is_true","url":"cake/query/where.html#is_true"},{"doc":"cake/query/where","title":"like","content":"pub fn like(value vl: WhereValue, pattern pttrn: String) -&gt; Where\n\nSynonyms:\ncake/query/where.like\ncake/query/where like","url":"cake/query/where.html#like"},{"doc":"cake/query/where","title":"lt","content":"pub fn lt(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.lt\ncake/query/where lt","url":"cake/query/where.html#lt"},{"doc":"cake/query/where","title":"lt_all_query","content":"pub fn lt_all_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.lt_all_query\ncake/query/where lt_all_query","url":"cake/query/where.html#lt_all_query"},{"doc":"cake/query/where","title":"lt_any_query","content":"pub fn lt_any_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.lt_any_query\ncake/query/where lt_any_query","url":"cake/query/where.html#lt_any_query"},{"doc":"cake/query/where","title":"lte","content":"pub fn lte(\n  value_a vl_a: WhereValue,\n  value_b vl_b: WhereValue,\n) -&gt; Where\n\nSynonyms:\ncake/query/where.lte\ncake/query/where lte","url":"cake/query/where.html#lte"},{"doc":"cake/query/where","title":"lte_all_query","content":"pub fn lte_all_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.lte_all_query\ncake/query/where lte_all_query","url":"cake/query/where.html#lte_all_query"},{"doc":"cake/query/where","title":"lte_any_query","content":"pub fn lte_any_query(\n  value vl: WhereValue,\n  sub_query qry: Query,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.lte_any_query\ncake/query/where lte_any_query","url":"cake/query/where.html#lte_any_query"},{"doc":"cake/query/where","title":"not","content":"pub fn not(where whr: Where) -&gt; Where\n\nSynonyms:\ncake/query/where.not\ncake/query/where not","url":"cake/query/where.html#not"},{"doc":"cake/query/where","title":"or","content":"pub fn or(wheres whrs: List(Where)) -&gt; Where\n\nSynonyms:\ncake/query/where.or\ncake/query/where or","url":"cake/query/where.html#or"},{"doc":"cake/query/where","title":"similar_to","content":"pub fn similar_to(\n  value vl: WhereValue,\n  to pttrn: String,\n) -&gt; Where\n NOTICE: Not supported by SQLite.\n\nSynonyms:\ncake/query/where.similar_to\ncake/query/where similar_to","url":"cake/query/where.html#similar_to"},{"doc":"cake/query/where","title":"string","content":"pub fn string(v vl: String) -&gt; WhereValue\n\nSynonyms:\ncake/query/where.string\ncake/query/where string","url":"cake/query/where.html#string"},{"doc":"cake/query/where","title":"xor","content":"pub fn xor(wheres whrs: List(Where)) -&gt; Where\n\nSynonyms:\ncake/query/where.xor\ncake/query/where xor","url":"cake/query/where.html#xor"},{"doc":"cake/query/where","title":"cake/query/where","content":" Used to build `WHERE` clauses for SQL queries.\n\n Where clauses are used to filter rows in a table.\n\n Also used to build `HAVING` clauses for SQL queries, because they work the\n same way as `WHERE` clauses, but are used to filter rows after `GROUP BY`\n has been applied.\n\n ## Compatibility\n\n - SQLite does not support `ANY`, `ALL` and `SIMILAR TO`.\n","url":"cake/query/where.html"}]);